Bug 199484 - Review Request: notify-python - python bindings for libnotify
Review Request: notify-python - python bindings for libnotify
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Cantrell
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FC-ACCEPT
  Show dependency treegraph
 
Reported: 2006-07-19 16:07 EDT by John Dennis
Modified: 2013-01-09 20:27 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-22 08:13:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description John Dennis 2006-07-19 16:07:44 EDT
Spec URL: ftp://people.redhat.com/jdennis/notify-python.spec
SRPM URL: ftp://people.redhat.com/jdennis/notify-python-0.1.0-1.src.rpm

Description:

These are the python bindings for libnotify. Not much to say here, this is a pretty simple package. Perhaps two items of note:

* The package name was set to match upstream, arguments could be made for either of the two following names: "python-notify" because that what the guildlines say, or "pynotify" because thats the python import name. I discussed this with Jeremy Katz and he felt making the package name match upstream was the best, sounds good to me too.

* The only thing the package installs is the bindings, no doc. There are some test python files which could be used as examples. Perhaps they should go into /usr/share/doc/notify-python-*/examples? Jeremy thought it was fine not to install the test examples and because this is an expedient exercise, other packages in FC6 need the bindings, being minimal for an initial package sounds like the right approach.
Comment 1 Bill Nottingham 2006-07-19 16:19:49 EDT
Tech ack.
Comment 2 Jesse Keating 2006-07-19 19:21:31 EDT
NEEDSWORK:

Compiled modules are arch specific, you need to use sitearch rather than sitelib.

Thus, sitelib isn't used anywhere, why define it?

Don't need the requires on python-abi, thats automagic now.

Needed to add pkgconfig, libnotify-devel, pygtk2-devel, gtk2-devel,
dbus-glib-devel, dbus-devel as buildreqs.

No rpmlint errors or warnings to worry about.  Please fix above issues.
Comment 3 John Dennis 2006-07-20 10:32:05 EDT
Fixed above issues, except I could not find dbus-glib-devel in rawhide, so I
omitted that package.

Spec URL: ftp://people.redhat.com/jdennis/notify-python.spec
SRPM URL: ftp://people.redhat.com/jdennis/notify-python-0.1.0-2.src.rpm

Added Jeremy to CC, as he needs this as well.
Comment 4 Jesse Keating 2006-07-20 10:42:18 EDT
dbus-glib hit rawhide last night, I was testing in brew with the current
dist-fc6 stuff, which included dbus-glib.  Please add it back, this will not
compile w/out it.
Comment 5 John Dennis 2006-07-20 11:02:58 EDT
O.K. added dbus-glib-devel, but I can't test the build because I can't find this
package. Normally I get my rawhide packages off of bigpapi (formerly qafiler),
so I'm guessing the package wasn't there when the last sync occurred. Can you
point me to another location (e.g. something off of /mnt/redhat?)
Comment 6 John Dennis 2006-07-20 12:18:31 EDT
performed a brew scratch build on notify-python-0.1.0-2 with dbus-glib-devel
added, everything seems o.k. Note URL's for spec file and src rpm in #3 updated
as well.
Comment 7 Jesse Keating 2006-07-20 14:00:19 EDT
Looks good now.

Approving.

Does this need to be in comps anywhere, or will it be pulled in through a
dependancy of something else?
Comment 8 John Dennis 2006-07-20 16:34:46 EDT
It will be a dependency of other packages
Comment 9 Rahul Sundaram 2006-07-22 08:13:44 EDT

Package showed up in rawhide today. Closing

Note You need to log in before you can comment on or make changes to this bug.